An error was encountered while running DADA2 in R (return code -11), please inspect stdout and stderr to learn more.

Hello everyone!

I am trying to analyze my 16S fastq sequences from Ilumina platform and I get all the time this problem. it only worked form me when I selected less number of sequences in the --p-trim-left and p-trunc-len options. I do not understand the error -11 I’ve seen other people reported a similar error, but they we’re analyzing shotgun data, which is not my case.

Any idea of what is happening?

Thank you a lot!

qiime dada2 denoise-paired --i-demultiplexed-seqs qiime2/demux-paired-end.qza --verbose --p-trim-left-f 20 --p-trim-left-r 10 --p-trunc-len-f 299 --p-trunc-len-r 256 --p-n-threads 16 --o-table qiime2/table.qza --o-representative-sequences qiime2/rep-seqs.qza --o-denoising-stats qiime2/denoising-stats.qza

Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmp0vm8954v/forward /tmp/tmp0vm8954v/reverse /tmp/tmp0vm8954v/output.tsv.biom /tmp/tmp0vm8954v/track.tsv /tmp/tmp0vm8954v/filt_f /tmp/tmp0vm8954v/filt_r 299 256 20 10 2.0 2.0 2 consensus 1.0 16 1000000

R version 3.5.1 (2018-07-02)
Loading required package: Rcpp
DADA2: 1.10.0 / Rcpp: 1.0.2 / RcppParallel: 4.4.4

  1. Filtering …
  2. Learning Error Rates
    293348133 total bases in 1051427 reads from 13 samples will be used for learning the error rates.
    258651042 total bases in 1051427 reads from 13 samples will be used for learning the error rates.
  3. Denoise remaining samples …
    *** caught segfault ***
    address 0x55d40beee7b8, cause ‘memory not mapped’

Traceback:
1: readBin(con, raw(), n)
2: reader(con, readerBlockSize)
3: x$yield(…)
4: yield(f)
5: yield(f)
6: withCallingHandlers(expr, warning = function(w) invokeRestart(“muffleWarning”))
7: suppressWarnings(fq <- yield(f))
8: derepFastq(filtsR[[j]])
An irrecoverable exception occurred. R is aborting now …
Traceback (most recent call last):
File “/home/i2sysbio/miniconda3/envs/qiime2-2019.10/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 257, in denoise_paired
run_commands([cmd])
File “/home/i2sysbio/miniconda3/envs/qiime2-2019.10/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands
subprocess.run(cmd, check=True)
File “/home/i2sysbio/miniconda3/envs/qiime2-2019.10/lib/python3.6/subprocess.py”, line 418, in run
output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command ‘[‘run_dada_paired.R’, ‘/tmp/tmp0vm8954v/forward’, ‘/tmp/tmp0vm8954v/reverse’, ‘/tmp/tmp0vm8954v/output.tsv.biom’, ‘/tmp/tmp0vm8954v/track.tsv’, ‘/tmp/tmp0vm8954v/filt_f’, ‘/tmp/tmp0vm8954v/filt_r’, ‘299’, ‘256’, ‘20’, ‘10’, ‘2.0’, ‘2.0’, ‘2’, ‘consensus’, ‘1.0’, ‘16’, ‘1000000’]’ died with <Signals.SIGSEGV: 11>.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/i2sysbio/miniconda3/envs/qiime2-2019.10/lib/python3.6/site-packages/q2cli/commands.py”, line 328, in call
results = action(**arguments)
File “</home/i2sysbio/miniconda3/envs/qiime2-2019.10/lib/python3.6/site-packages/decorator.py:decorator-gen-459>”, line 2, in denoise_paired
File “/home/i2sysbio/miniconda3/envs/qiime2-2019.10/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 240, in bound_callable
output_types, provenance)
File “/home/i2sysbio/miniconda3/envs/qiime2-2019.10/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 383, in callable_executor
output_views = self._callable(**view_args)
File “/home/i2sysbio/miniconda3/envs/qiime2-2019.10/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 272, in denoise_paired
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code -11), please inspect stdout and stderr to learn more.

Plugin error from dada2:

An error was encountered while running DADA2 in R (return code -11), please inspect stdout and stderr to learn more.

See above for debug info.

Good morning Alba,

Thanks for posting your full output! Here is the important part of this error:

Looks like you ran out of memory :crying_cat_face:

How large is your input file? How much memory does your computer have?

Some folks have had luck reducing memory usage by using smaller number for --p-n-reads-learn. It's default is 1000000 (1 million), but decreasing it to 10k should use less memory and still be valid.

Let us know what you find! :qiime2:

Colin

2 Likes

Good afternoon Colin,

I had luck using less -p-n-reads-learn and making htop at the same time to see the what was happening with my memory. It clearly was a problem with the memory usage, the input file was 611,2 MB large!!

Thank you so much for your reply!

Alba

2 Likes

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.